#!/bin/bash
#set -x

idproduct=`lsusb  |grep Mouse | awk '{print $6}' | cut -d':' -f2`
port=`grep $idproduct /sys/bus/usb/devices/*/idProduct | cut -d'/' -f6`

bind_usb() {
  echo "$1" >/sys/bus/usb/drivers/usb/bind
}

unbind_usb() {
  echo "$1" >/sys/bus/usb/drivers/usb/unbind
}

#port=$bus"-"$portnum # as shown by lsusb -t: {bus}-{port}(.{subport})

unbind_usb "$port"
sleep 0.1 # enable delay here
bind_usb "$port"
